# Barry::AllRecordParser Class Reference

`#include <parser.h>`

Inheritance diagram for Barry::AllRecordParser:

[legend]
Collaboration diagram for Barry::AllRecordParser:

[legend]

List of all members.

## Detailed Description

Convenience parser that creates a MultiRecordParser with all known record parsers added.

If an AllRecordStore pointer is passed in, this class takes ownership of it, and uses it as the store object for all the RecordParser<> objects it creates. If not, then a custom DumpStore<> object is created with the given stream for each RecordParser<> added.

The default parser object behaves just like MultiRecordParser

This class takes ownership of all pointers passed in.

Definition at line 502 of file parser.h.

The documentation for this class was generated from the following files:

- parser.h
- parser.cc